Subject: bug#56469: 29.0.50; Unibyte dir in directory_files_internal

From: Stefan Monnier <[email-masked]>
Date: Sun, 10 Jul 2022 18:13:39 -0400

> I don't think file-name related stuff can work in Emacs when
> file-name-coding-system is set to an arbitrary value not reflecting
> the reality.

I'd tend to agree (tho 'binary' does sound like a valid value which
should work in all cases under GNU/Linux).

I'm just a bit annoyed at the idea that ELisp code can end up
constructing a multibyte string whose bytes contain invalid utf-8
sequences, because I suspect we may end up with a core dump somewhere in
such a circumstance.

        Stefan